Subject: Re: [PATCH] r8169: Add new device ID support

From: Heiner Kallweit <[email-masked]>
Date: Wed, 24 Oct 2018 23:44:10 +0200

On 24.10.2018 23:22, David Miller wrote:
> From: Shawn Lin <[email-masked]>
> Date: Wed, 24 Oct 2018 09:46:47 +0800
> 
>> It's found my r8169 ethernet card at hand has a device ID
>> of 0x0000 which wasn't on the list of rtl8169_pci_tbl. Add
>> a new entry to make it work:
>>
>> [2.165785] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
>> [2.165863] r8169 0000:01:00.0: enabling device (0000 -> 0003)
>> [2.167110] r8169 0000:01:00.0 eth0: RTL8168c/8111c at 0xffffff80089be000,
>> 00:e0:4c:21:00:17, XID 1c4000c0 IRQ 208
>> [2.167128] r8169 0000:01:00.0 eth0: jumbo features [frames: 6128
>> bytes, tx checksumming: ko]
>>
>> [root@rk1808:/]# lspci
>> 00:00.0 Class 0604: 1d87:1808
>> 01:00.0 Class 0200: 10ec:0000
>>
>> Signed-off-by: Shawn Lin <[email-masked]>
> 
> I'm stil not terribly confident in this change, a device ID of zero is
> really unusual.
> 
> Heiner, what do you think?
> 
A PCI device ID of zero definitely is a mistake of the card vendor.
Or maybe the card was just a sample and not meant to retail?
If some vendor of cards with a different Realtek network chip makes
the same mistake, then we're in trouble. I don't think we should
accept this risk just to support a broken ancient card.
This card most likely is at least 10 years old, and that we get the
first report only now seems to indicate that it's not something
affecting a lot of people.
The reporter found a way to make the card work on his system,
so I don't see a need for any further action.